package com.ssj.bean.sys.lesson.domain;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yangcan
 * 类描述:小课组表
 * 创建时间:2018年11月29日 下午2:38:41

 */
@Entity
@Table(name = "ssj_lesson_group")
public class LessonGroup extends BaseEntity {

    private static final long serialVersionUID = 2069108548215060218L;

    private String groupName;		//组名
    private Integer courseCount;	//购买课次
    private Integer currentCount;	//当前课次
    private BigDecimal price;		//课次单价
    private String masterId;		//校长id
    private String libId;			//图书馆id
    private String courseName;		//授课科目
    private String grade;			//授课年级
    private String courseTime;		//授课时间 格式2018-11-08,2018-11-09
    private String startTime;		//时段  开始时间
    private String endTime;			//时段  结束时间
    private String teacherId;		//老师id
    private String teacherLever;	//老师类型
    private int planStatus;		//计划状态 1待上课意向确认 2待讲义生成 3待上课；4待下课
    private Date createTime; 	//创建时间
    private Date confirmTime; 		//上课意向确认时间
    private Date callTime; 		//上课时间
    private Date feedbackTime; 	//反馈时间
    private Date handoutTime;   //讲义时间
    private int isFinish; //是否完成组课程 0:未完成 1:已完成

    @Column(name = "group_name")
    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    @Column(name = "course_count")
    public Integer getCourseCount() {
        return courseCount;
    }

    public void setCourseCount(Integer courseCount) {
        this.courseCount = courseCount;
    }

    @Column(name = "current_count")
    public Integer getCurrentCount() {
        return currentCount;
    }

    public void setCurrentCount(Integer currentCount) {
        this.currentCount = currentCount;
    }

    @Column(name = "price")
    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    @Column(name = "master_id")
    public String getMasterId() {
        return masterId;
    }

    public void setMasterId(String masterId) {
        this.masterId = masterId;
    }

    @Column(name = "lib_id")
    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    @Column(name = "course_name")
    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    @Column(name = "grade")
    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    @Column(name = "course_time")
    public String getCourseTime() {
        return courseTime;
    }

    public void setCourseTime(String courseTime) {
        this.courseTime = courseTime;
    }
    
    @Column(name = "start_time")
    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    @Column(name = "end_time")
    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Column(name = "teacher_id")
    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    @Column(name = "teacher_lever")
    public String getTeacherLever() {
        return teacherLever;
    }

    public void setTeacherLever(String teacherLever) {
        this.teacherLever = teacherLever;
    }

    @Column(name = "plan_status")
    public int getPlanStatus() {
        return planStatus;
    }

    public void setPlanStatus(int planStatus) {
        this.planStatus = planStatus;
    }

    @Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "confirm_time")
	public Date getConfirmTime() {
		return confirmTime;
	}

	public void setConfirmTime(Date confirmTime) {
		this.confirmTime = confirmTime;
	}

	@Column(name = "call_time")
	public Date getCallTime() {
		return callTime;
	}

	public void setCallTime(Date callTime) {
		this.callTime = callTime;
	}

	@Column(name = "feedback_time")
	public Date getFeedbackTime() {
		return feedbackTime;
	}

	public void setFeedbackTime(Date feedbackTime) {
		this.feedbackTime = feedbackTime;
	}

    @Column(name = "handout_time")
    public Date getHandoutTime() {
        return handoutTime;
    }

    public void setHandoutTime(Date handoutTime) {
        this.handoutTime = handoutTime;
    }

    @Column(name = "is_finish")
	public int getIsFinish() {
		return isFinish;
	}

	public void setIsFinish(int isFinish) {
		this.isFinish = isFinish;
	}
    
}
